Bug 1602835 - CA cert can't be specified in API while adding a RHEV Compute Resource
Summary: CA cert can't be specified in API while adding a RHEV Compute Resource
Status: POST
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - RHEV   
(Show other bugs)
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Keywords: Triaged
: 1607799 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 15:18 UTC by Lukáš Hellebrandt
Modified: 2019-04-15 03:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 25491 None None None 2018-11-18 11:52 UTC

Description Lukáš Hellebrandt 2018-07-18 15:18:31 UTC
Description of problem:
In WebUI, it is possible (sometimes necessary) to specify a CA certificate for https communication with RHEV. This is done using the "X509 Certification Authorities" field in the new Compute Resource creation form.

In API, this is not possible. Consequently, it is also not possible in Hammer, Nailgun and other tools using API.

Steps to Reproduce:
http://SAT_HOSTNAME/apidoc/v2/compute_resources/create.html

Actual results:
No parameter for CA cert

Expected results:
public_key (id of the WebUI input field) parameter

Comment 2 Ido Kanner 2018-07-25 13:25:49 UTC
*** Bug 1607793 has been marked as a duplicate of this bug. ***

Comment 3 Ivan Necas 2018-07-30 13:59:50 UTC
*** Bug 1607799 has been marked as a duplicate of this bug. ***

Comment 4 Shira Maximov 2018-11-18 11:52:31 UTC
Created redmine issue https://projects.theforeman.org/issues/25491 from this bug

Comment 5 pm-sat@redhat.com 2018-12-10 09:10:45 UTC
Upstream bug assigned to ikanner@redhat.com

Comment 7 pm-sat@redhat.com 2018-12-12 11:10:44 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25491 has been resolved.


Note You need to log in before you can comment on or make changes to this bug.